MUTTPRINT(1)

NOMBRE
muttprint - impresión elegante de mensajes de correo con Mutt

SINOPSIS
muttprint [opción]... [-f archivo]

DESCRIPCIÓN
Esta página manual documenta brevemente la utilidad Muttprint. Esta página manual fue escrita originalmente para la distribución Debian GNU/Linux porque el programa original no tenía una página manual, pero ahora me hice cargo de esta página manual en el formato POD.

Muttprint es una utilidad que da formato a la impresión de Mutt y otros clientes de correo como XFMail o PINE para parecerse a la impresión de Netscape Messenger o Kmail. Este puede imprimir un pequeño pingüino en la primera página y un encabezado en cada página. Además, sólo imprime las cabeceras más importantes, pero no toda la plétora de ellas.

Por intrucciones de como usar Muttprint consulta /usr/share/doc/packages/muttprint/muttprint-doc-es.html.

De todos modos, tienes que colocar la siguiente línea en tu /etc/Muttrc o ~/.muttrc:

        set print_command="muttprint"

Si quieres personalizar la configuración de Muttprint, simplemente copia /usr/share/doc/packages/muttprint/sample-muttprintrc-es a /etc/Muttprintrc o ~/.muttprintrc con confianza si quieres cambiar la configuración de todo el sistema o de un usuario.

Muttprint por defecto usa la configuración del idioma Inglés si la variable de entorno LANG no está definida. Por ejemplo en un entorno Español deberías definir:

        export LANG=es_ES

Esto puede ser realizado por ejemplo en tu ~/.bashrc local.

Si Muttprint no imprime y muestra el mensaje "lpr: unable to print file: ...", deberías tratar de usar otra impresora diferente a lp, por ejemplo lp5 o tp0 (si usas TurboPrint).

NOTA PARA LOS USUARIOS DE CUPS: La configuración PRINTER="lp" no funcionará, y tendrás que configurar el nombre de la impresora Cups en su lugar (por ejemplo, LaserJet), el cual puedes verificar fácilmente tecleando lpq en la línea de comandos.

OPCIONES
POR FAVOR CONSIDERA: Estas opciones tienen preferencia sobre las opciones correspondientes en ~/.muttprintrc y /etc/Muttprintrc.

Aquí encontrarás la descripción de todas las opciones de línea de comandos (las descripciones de las opciones del archivo de configuración está incluído en el archivo sample-muttprintrc-es distribuído con Muttprint):

-h, --help
    Muestra una lista de todas las opciones posibles.

-v, --version
    Muestra la versión actual de Muttprint.

-f archivo, --file archivo
    Lee desde archivo en lugar de STDIN. Útil para algunos clientes de correo como XFMail. Si archivo es -, Muttprint lee desde STDIN.

-p nombreimpresora, --printer nombreimpresora
    Usa otra impresora en lugar de la impresora lp o de la impresora definida en el archivo de configuración de Muttprint. También puedes imprimir en un archivo utilizando TO_FILE:/ruta/al/archivo como nombre de impresora. Si quieres que el resultado vaya a STDOUT, utiliza - como nombre de impresora.

-i archivo, --penguin archivo
    Utiliza archivo como el gráfico a ser impreso en la parte superior derecha de la hoja. archivo debe contener la ruta completa. Utiliza off como archivo si no quieres imprimir el gráfico.

-t número, --speed número
    Intervalo de tiempo en segundos que tu impresora necesita para imprimir una página. Sólo es necesario si utilizas impresión dúplex. Por defecto es 30 (segundos)

-w número, --wait número
    Intervalo de tiempo en segundos que Muttprint debería esperar entre la impresión de páginas pares e impares para impresión dúplex.

-F fuente, --font fuente
    Aquí puedes elegir una agradable familia de fuentes para tu impresión. Las posibles son: Latex, Latex-bright, Times, Utopia, Palatino, Charter y Bookman. Que todas esas fuentes estén disponibles en tu sistema depende de tu sistema LaTeX. Por defecto es Latex.

-H, --headrule | -noH, --noheadrule
    Aquí puedes decidir si se imprimirá o no una línea separadora después de la línea superior a partir de la página 2.

-b, --footrule | -nob, --nofootrule
    Aquí puedes decidir si se imprimirá o no una línea separadora sobre el pie de página.

-S estilo | --frontstyle estilo
    Elige un estilo para la impresión de las cabeceras del mensaje en la primera página: plain, border (por defecto), fbox, shadowbox, ovalbox, Ovalbox, doublebox, grey, greybox. Consulta el manual para una descripción detallada de ésos valores.

-a cabeceras, --printed-headers cabeceras
    Especifica las cabeceras que deberían imprimirse. Separa cada cabecera con "_". Las cabeceras están incluidas entre * son impresas en negrita; usa / para imprimir en itálica. Si una cabecera no existe, será omitida. El orden especificado es el mismo con el cual se imprime.

    Dos ejemplos:

            Date_To_From_CC_Newsgroups_*Subject*   (por defecto)
            /Date/_To_From_X-Mailer_*/Subject/*

-P formatopapel, --paper formatopapel
    Elige el formato del papel: A4 en la mayoría de los países ("DIN A4" en Alemania) y letter en los Estados Unidos.

-l idioma, --lang idioma
    Tienes que proporcionar la forma corta de tu idioma (actualmente soportados: de (Alemán), en (Inglés), it (Italiano), fr (Francés), cs (Checo) y es (Español). Por defecto se utiliza el idioma definido por la variable de entorno LANG ; si éste no está soportado, por defecto será Inglés.

-c charset, --charset charset
    Esta opción establece el conjunto de caracteres (charset) de entrada:

            charset         Opción de Muttprint
            -----------------------------------
            ISO-8859-1      latin1
            ISO-8859-2      latin2
            ISO-8859-3      latin3
            ISO-8859-4      latin4
            ISO-8859-9      latin5
            ISO-8859-15     latin9
            Windows-1252    latin1
            Windows-1250    latin2
                            auto
            -----------------------------------

    La opción auto intenta encontrar una cabecera que contenga el charset del mensaje. Esto funciona sólo en circunstancias específicas, así que utilízala con cuidado.

-e Cadena, --date Cadena
    Esta opción acepta dos valores: original y local. Si se usa original, la fecha será impresa sin modificaciones como aparece en la cabecera del mensaje, es decir en Inglés y en la zona horaria del remitente. Si se usa local, la fecha será impresa en el idioma local y en la zona horaria del sistema. Vea las opciones --date-format y --lang.

    Ejemplos:

            original: Tue, 15 Jan 2002 21:43:49 +0100
            local:    Dienstag, 15. Januar 2002 21:43:49
                              (German locale)

-E Cadena, --date-format Cadena
    Estas opciones permiten modificar el formato de la fecha (si has elegido local antes). El argumento es una cadena de formato de acuerdo a strftime(3), por ejemplo :

            "%A, %d. %B %Y %H:%M:%S" (éstandar en Alemania)
            "%a, %d.%m.%y %H:%M"     (formato corta)
            "%Y-%m-%d %H:%M:%S"      (formato ISO)

-A Cadena, --addressformat Cadena
    Con ésta opción se puede definir como son impresos las direcciones de correo. El valor original no modifica la cabecera. En otro caso tienes que especificar una cadena de formato; las siguientes substituciones están realizadas:

            %r              nombre ("nombre real")
            %a              dirección de correo
            \n              nueva línea

    La configuración por defecto es %r <%a>,\n. Además, se pueden enfatizar algunas partes con impresión en negrita o en itálica. Tienes que encerrar ésas partes con asteriscos ("*") para negrita o con barras ("/") para itálica.

    Ejemplo:

            "/%r/ (%a),"

    Las comillas son necesarias porque la cadena contiene espacios. De otro modo el shell divide la cadena en dos partes.

-D, --debug | -noD, --nodebug
    Determina si Muttprint escribirá a un archivo log /tmp/muttprint.log. Útil para pedir ayuda a otras personas cuando Muttprint no funciona.

-d, --duplex | -nod, --noduplex
    Activa o desactiva la impresión dúplex (ambos lados). Si está activada, Muttprint imprime sólo las páginas impares y espera un tiempo antes de imprimir las pares.

-2 | -1
    Imprime dos páginas en una carilla como se muestra aquí:

            +----------+----------+
            |          |          |
            |          |          |
            |    1     |     2    |
            |          |          |
            |          |          |
            |          |          |
            +----------+----------+

    Esta función es llamada modo ahorro de papel en el manual y en el archivo de configuración.

-g número, --topmargin número
    Define el márgen superior en milímetros.

-G número, --bottommargin número
    Define el márgen inferior en milímetros.

-j número, --leftmargin número
    Define el márgen izquierdo en milímetros.

-J number, --rightmargin number
    Define el márgen derecho en milímetros.

-s, --rem_sig | -nos, --norem_sig
    No imprime la firma (separada del resto del mensaje por "-- "). Esto es útil cuando las firmas son muy largas. Pero más y más personas (o clientes de correo) no separan la firma correctamente, así que esta funcionalidad no siempre funciona.

-q, --rem_quote | -noq, --norem_quote
    No imprime el párrafo citado.

    Muttprint detecta el texto citado con la misma expresión regular que utiliza Mutt, así que debería funcionar.

-z tamaño, --fontsize tamaño
    Especifica el tamaño de la fuente. Valores posibles son 10pt, 11pt y 12pt.

-W número, --wrapmargin número
    Controla cuan larga puede ser la línea más larga. Las líneas más largas son recortadas automáticamente y el párrafo será reformateado.

-r file, --rcfile file
    Especifica otro archivo de configuración, el cual es leído además de /etc/Muttprintrc y ~/.muttprintrc. Este archivo tiene preferencia sobre todas las otras configuraciones, incluyendo ésta, que son realizadas con parámetros de línea de comandos. (Tiene sentido incluir otros opciones a pesar de -f si se utiliza ésta opción.)

ARCHIVOS

/etc/Muttprintrc
    Archivo de configuración global del sistema.

~/.muttprintrc
    Archivo de configuración del usuario.

/tmp/muttprint-XXXXX
    Archivos temporales creados por Muttprint.

/usr/share/doc/packages/muttprint/
    Manuales de Muttprint en diferentes idiomas y formatos.

/usr/share/muttprint/
    Algunas imágenes que pueden utilizarse para ser impresas en la primera página de tu mensaje de correo.

/usr/lib/muttprint/translations
    Archivos de traducciones.

VER TAMBIÉN
mutt(1)

Página Web: http://muttprint.sourceforge.net

COPYRIGHT
(c) 2000-2001 Bernhard Walle

Éste programa es software libre; consulta las condiciones de copiado en el código fuente. No existe ninguna garantía; incluso ni la garantía implícita de MERCANTIBILIDAD o APTITUD PARA UN PROPÓSITO PARTICULAR.

AUTOR
Bernhard Walle <Bernhard.Walle@gmx.de>

MAINTAINER
Lukas Ruf <lukas.ruf@lpr.ch<gt>

TRADUCCIÓN
Esta traducción al idioma español de la página manual original del autor en inglés fue realizada por Marcelo Ramos <mramos@montevideo.com.uy>. Cualquier comentario o sugerencia para mejorar esta traducción será bienvenida.